aboutsummaryrefslogtreecommitdiff
path: root/fastforwardotherbranch.sh
diff options
context:
space:
mode:
authormarha <marha@users.sourceforge.net>2013-04-21 19:17:28 +0200
committermarha <marha@users.sourceforge.net>2013-06-04 09:41:00 +0200
commit62a1ce0583cf41c173f4edb91511430b552e04da (patch)
tree2197fc50f8a026ed1ee42a44e5560ef3e6ef5809 /fastforwardotherbranch.sh
parentd8244e38b6a0fc48715644b673a41f052a7546ee (diff)
downloadvcxsrv-62a1ce0583cf41c173f4edb91511430b552e04da.tar.gz
vcxsrv-62a1ce0583cf41c173f4edb91511430b552e04da.tar.bz2
vcxsrv-62a1ce0583cf41c173f4edb91511430b552e04da.zip
dos2unix
Diffstat (limited to 'fastforwardotherbranch.sh')
-rwxr-xr-x[-rw-r--r--]fastforwardotherbranch.sh46
1 files changed, 23 insertions, 23 deletions
diff --git a/fastforwardotherbranch.sh b/fastforwardotherbranch.sh
index 4b6d1e9a4..f710b052c 100644..100755
--- a/fastforwardotherbranch.sh
+++ b/fastforwardotherbranch.sh
@@ -1,23 +1,23 @@
-#!/bin/sh
-
-BRANCH=master
-NEWER=origin/master
-
-if [ $(git symbolic-ref HEAD) = "refs/heads/$BRANCH" ]
-then
- echo "This doesn't make sense if you're already on the branch '$BRANCH'"
- echo "Just run: git merge $NEWER"
- exit 1
-fi
-
-BRANCH_HASH=$(git rev-parse $BRANCH)
-NEWER_HASH=$(git rev-parse $NEWER)
-MERGE_BASE=$(git merge-base $BRANCH_HASH $NEWER_HASH)
-
-if [ "$MERGE_BASE" = "$BRANCH_HASH" ]
-then
- git update-ref "refs/heads/$BRANCH" "$NEWER_HASH" "$BRANCH_HASH"
-else
- echo "$BRANCH can't be fast-forwarded to $NEWER"
- exit 1
-fi
+#!/bin/sh
+
+BRANCH=master
+NEWER=origin/master
+
+if [ $(git symbolic-ref HEAD) = "refs/heads/$BRANCH" ]
+then
+ echo "This doesn't make sense if you're already on the branch '$BRANCH'"
+ echo "Just run: git merge $NEWER"
+ exit 1
+fi
+
+BRANCH_HASH=$(git rev-parse $BRANCH)
+NEWER_HASH=$(git rev-parse $NEWER)
+MERGE_BASE=$(git merge-base $BRANCH_HASH $NEWER_HASH)
+
+if [ "$MERGE_BASE" = "$BRANCH_HASH" ]
+then
+ git update-ref "refs/heads/$BRANCH" "$NEWER_HASH" "$BRANCH_HASH"
+else
+ echo "$BRANCH can't be fast-forwarded to $NEWER"
+ exit 1
+fi